> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://help.sigmacomputing.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://help.sigmacomputing.com/_mcp/server.

# List scheduled workbook exports (Paginated)

GET https://api.sigmacomputing.com/v2.1/workbooks/{workbookId}/schedules


  **Attention:** This API endpoint uses pagination by default.

  This endpoint retrieves a list of all scheduled exports for a specified workbook. These schedules represent planned events that can trigger exports based on various conditions and timings.
  ### Usage Notes
  - The **workbookId** in the path parameter identifies the workbook whose scheduled exports are to be listed. Retrieve the **workbookId** by calling the [/v2/workbooks](https://help.sigmacomputing.com/reference/list-workbooks) endpoint.
  - Use pagination query parameters to manage the volume of data returned by this endpoint.

  ### Usage Scenarios
  - **Schedule Overview:** Administrators or users with appropriate permissions can monitor and review all active scheduled exports associated with a workbook.
  - **Audit and Compliance:** This functionality is useful for auditing purposes to ensure that all scheduled operations are configured correctly and comply with organizational policies.

  ### Best Practices
  - Implement client-side handling to manage paginated data effectively, especially in cases where a workbook has a large number of scheduled exports.
  - Regularly audit schedules to keep them up-to-date and aligned with the current needs and workflows.

Reference: https://help.sigmacomputing.com/reference/v-2-1-list-workbook-schedules

## Authentication

- OAuth2 — send the obtained token as `Authorization: Bearer <token>`

## Servers

- `https://api.sigmacomputing.com` (Server for GCP (US) hosted organizations, default)
- `https://api.sa.gcp.sigmacomputing.com` (Server for GCP (KSA) hosted organizations)
- `https://aws-api.sigmacomputing.com` (Server for AWS US (West) hosted organizations)
- `https://api.us-a.aws.sigmacomputing.com` (Server for AWS US (East) hosted organizations)
- `https://api.ca.aws.sigmacomputing.com` (Server for AWS Canada hosted organizations)
- `https://api.eu.aws.sigmacomputing.com` (Server for AWS Europe (Frankfurt) hosted organizations)
- `https://api.ch.aws.sigmacomputing.com` (Server for AWS Europe (Zurich) hosted organizations)
- `https://api.au.aws.sigmacomputing.com` (Server for AWS Australia and APAC hosted organizations)
- `https://api.uk.aws.sigmacomputing.com` (Server for AWS UK hosted organizations)
- `https://api.in.aws.sigmacomputing.com` (Server for AWS Asia Pacific (Mumbai) hosted organizations)
- `https://api.us.azure.sigmacomputing.com` (Server for Azure US hosted organizations)
- `https://api.eu.azure.sigmacomputing.com` (Server for Azure Europe hosted organizations)
- `https://api.ca.azure.sigmacomputing.com` (Server for Azure Canada hosted organizations)
- `https://api.uk.azure.sigmacomputing.com` (Server for Azure United Kingdom hosted organizations)
- `https://api.au.azure.sigmacomputing.com` (Server for Azure Australia hosted organizations)

## Request

### Path parameters

- `workbookId` (string, required) — Unique identifier of the workbook.

### Query parameters

- `page` (string, optional) — Use to specify further pages using the string returned in the nextPage portion of the response.
- `limit` (double, optional) — Number of results to return per page, with a maximum of 1,000 per request. Use the `page` option in subsequent requests to retrieve the next set of results.

## Response

### 200

The response body.

- `entries` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItems, required) — Array of results returned by the endpoint
- `nextPage` (string, required, nullable) — Returns a string that can be used as the `page` parameter in the next request to fetch the next page of results. The last page of results returns `null`.
- `total` (double, optional) — Total number of results. Useful to determine if there is a need to paginate.
- `hasMore` (boolean, optional) — **[Deprecated]** Indicates whether more results are available.

## Types

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItems

- `scheduledNotificationId` (string, required) — Unique identifier of the scheduled export.
- `workbookId` (string, required) — Unique identifier of the workbook.
- `schedule` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule, required)
- `configV2` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2, required)
- `isSuspended` (boolean, required) — Whether the schedule is currently suspended.
- `ownerId` (string, required) — Unique identifier of the user who owns the schedule.
- `lastUpdatedByUser` (string, required) — Unique identifier of the user who last updated the schedule.
- `disabledAt` (datetime, required, nullable) — Timestamp when the schedule was disabled, or null if the schedule is active.
- `disabledBy` (string, required, nullable) — Unique identifier of the member who disabled the schedule, or null if the schedule is active.
- `createdBy` (string, required) — The identifier of the user who created this object.
- `updatedBy` (string, required) — The identifier of the user or process that last updated this object.
- `createdAt` (datetime, required) — When the object was created.
- `updatedAt` (datetime, required) — When the object was last updated.

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsSchedule

- `cronSpec` (string, required) — A [cron expression](https://en.wikipedia.org/wiki/Cron). For example, `0 0 * * *`.
- `timezone` (string, required) — An [IANA timezone name](https://en.wikipedia.org/wiki/List_of_tz_database_time_zones). For example, `America/Los_Angeles`.

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2

- `title` (string, required)
- `messageBody` (string, required)
- `notificationAttachments` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItems, required)
- `includeLink` (boolean, optional)
- `runAsRecipient` (boolean, optional)
- `attachmentSettings` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AttachmentSettings, optional)
- `conditionOptions` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions, optional)
- `alertConfig` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AlertConfig, optional)
- `notificationName` (string, optional)
- `dashboardSettings` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DashboardSettings, optional)
- `dynamicExportSettings` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettings, optional)
- `dynamicRecipientSettings` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicRecipientSettings, optional)
- `rowLimit` (double, optional)
- `workbookVariant` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2WorkbookVariant, optional)
- `embedOpts` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2EmbedOpts, optional)
- `formatting` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2Formatting, optional, nullable)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItems

- `formatOptions` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions, required)
- `chartId` (string, optional)
- `workbookExportSource` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AttachmentSettings

- `mergePdfAttachments` (boolean, optional)
- `zipAttachments` (boolean, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions3

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2AlertConfig

- `window` (enum, required)
  - Allowed values: `alltime`, `daily`, `weekly`, `always`
- `volume` (double, optional, nullable)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DashboardSettings

- `filters` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DashboardSettingsFiltersItems, optional, nullable)
- `variableValues` (DashVariables, optional, nullable)
- `language` (enum, optional, nullable) — The locale identifier corresponding to the language of the translation.
  - Allowed values: `de`, `en`, `es`, `fr`, `it`, `ja`, `pl`, `pt`, `ru`, `th`, `en-au`, `en-ca`, `en-gb`, `en-ie`, `es-mx`, `fr-ca`, `ko-kr`, `nl-nl`, `pt-br`, `sv-se`, `tr-tr`, `zh-cn`, `zh-tw`
- `languageVariant` (string, optional, nullable)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettings

- `variables` (map from string to V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicRecipientSettings

- `sourceNodeId` (string, required)
- `recipientColumnId` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2WorkbookVariant

- `tagId` (string, optional)
- `exploreKey` (string, optional)
- `bookmarkId` (string, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2EmbedOpts

- `embedId` (string, optional)
- `evalConnectionId` (string, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2Formatting

- `pivotHeaderStyle` (enum, optional, nullable)
  - Allowed values: `merged`, `repeated`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions6

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsWorkbookExportSource

- One element: One element
- One page: One page
- Multiple elements: Multiple elements
- Multiple pages: Multiple pages
- Entire workbook: Entire workbook

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions0

- `type` (enum, required)
  - Allowed values: `always`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions1

- `type` (enum, required)
  - Allowed values: `workbook`
- `conditions` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions2

- `type` (enum, required)
  - Allowed values: `worksheet`
- `conditions` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptions3

- `type` (enum, required)
  - Allowed values: `dashboard`
- `conditions` (list of V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DashboardSettingsFiltersItems

- `id` (string, required)
- `filterStr` (string, required)

### DashVariables

- boolean: boolean
- number: number
- text: text
- date: date
- number-list: number-list
- text-list: text-list
- date-list: date-list
- boolean-list: boolean-list
- date-range: date-range
- number-range: number-range
- date-null: date-null
- number-null: number-null
- text-null: text-null
- boolean-null: boolean-null
- hierarchical-list: hierarchical-list
- file: file
- file-null: file-null
- file-list: file-list

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables6
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables7
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables8
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables9
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables10
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables11
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables12
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables13

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions0

- `type` (enum, required)
  - Allowed values: `CSV`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions1

- `type` (enum, required)
  - Allowed values: `JSON`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions2

- `type` (enum, required)
  - Allowed values: `JSONL`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions3

- `type` (enum, required)
  - Allowed values: `EXCEL`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions4

- `type` (enum, required)
  - Allowed values: `PDF`
- `layout` (enum, optional)
  - Allowed values: `portrait`, `landscape`
- `scaleFactor` (double, optional, nullable)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions5

- `type` (enum, required)
  - Allowed values: `PNG`
- `pixelWidth` (double, optional, nullable)
- `pixelHeight` (double, optional, nullable)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2NotificationAttachmentsItemsFormatOptions6

- `type` (enum, required)
  - Allowed values: `NONE`

### One element

Export one element

- `type` (enum, required)
  - Allowed values: `element`
- `elementId` (string, required)

### One page

Export one page

- `type` (enum, required)
  - Allowed values: `page`
- `pageId` (string, required)

### Multiple elements

Export multiple elements

- `type` (enum, required)
  - Allowed values: `element`
- `nodeIds` (list of string, required)

### Multiple pages

Export multiple pages

- `type` (enum, required)
  - Allowed values: `page`
- `nodeIds` (list of string, required)

### Entire workbook

Export all pages and elements in a workbook

- `type` (enum, required)
  - Allowed values: `all`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems2

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems2

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems2

### boolean

- `type` (enum, required)
  - Allowed values: `boolean`
- `value` (boolean, required, nullable)

### number

- `type` (enum, required)
  - Allowed values: `number`
- `value` (double, required, nullable)

### text

- `type` (enum, required)
  - Allowed values: `text`
- `value` (string, required, nullable)

### date

- `type` (enum, required)
  - Allowed values: `date`
- `value` (DashVariablesOneOf3Value, required, nullable)

### number-list

- `type` (enum, required)
  - Allowed values: `number-list`
- `value` (list of double, required)

### text-list

- `type` (enum, required)
  - Allowed values: `text-list`
- `value` (list of string, required)

### date-list

- `type` (enum, required)
  - Allowed values: `date-list`
- `value` (list of double, required)

### boolean-list

- `type` (enum, required)
  - Allowed values: `boolean-list`
- `value` (DashVariablesOneOf7Value, required)

### date-range

- `type` (enum, required)
  - Allowed values: `date-range`
- `min` (DashVariablesOneOf8Min, required, nullable)
- `max` (DashVariablesOneOf8Max, required, nullable)

### number-range

- `type` (enum, required)
  - Allowed values: `number-range`
- `min` (double, required, nullable)
- `max` (double, required, nullable)

### date-null

- `type` (enum, required)
  - Allowed values: `date-null`

### number-null

- `type` (enum, required)
  - Allowed values: `number-null`

### text-null

- `type` (enum, required)
  - Allowed values: `text-null`

### boolean-null

- `type` (enum, required)
  - Allowed values: `boolean-null`

### hierarchical-list

- `type` (enum, required)
  - Allowed values: `hierarchical-list`
- `value` (list of string, required)

### file

- `type` (enum, required)
  - Allowed values: `file`
- `value` (DashVariablesOneOf15Value, required)

### file-null

- `type` (enum, required)
  - Allowed values: `file-null`

### file-list

- `type` (enum, required)
  - Allowed values: `file-list`
- `value` (list of DashVariablesOneOf17ValueItems, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables0

- `type` (enum, required)
  - Allowed values: `boolean`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables1

- `type` (enum, required)
  - Allowed values: `number`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables2

- `type` (enum, required)
  - Allowed values: `text`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables3

- `type` (enum, required)
  - Allowed values: `date`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables4

- `type` (enum, required)
  - Allowed values: `number-list`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables5

- `type` (enum, required)
  - Allowed values: `text-list`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables6

- `type` (enum, required)
  - Allowed values: `date-list`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables7

- `type` (enum, required)
  - Allowed values: `boolean-list`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables8

- `type` (enum, required)
  - Allowed values: `date-range`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables9

- `type` (enum, required)
  - Allowed values: `number-range`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables10

- `type` (enum, required)
  - Allowed values: `date-null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables11

- `type` (enum, required)
  - Allowed values: `number-null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables12

- `type` (enum, required)
  - Allowed values: `text-null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2DynamicExportSettingsVariables13

- `type` (enum, required)
  - Allowed values: `boolean-null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`
- `sheetId` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`
- `sheetId` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItems2

- `type` (enum, required)
  - Allowed values: `sheetColumn`
- `sheetId` (string, required)
- `mode` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItems2

- `type` (enum, required)
  - Allowed values: `queryColumn`
- `mode` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value, optional)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems0

- `type` (enum, required)
  - Allowed values: `isEmpty`
- `tileId` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems1

- `type` (enum, required)
  - Allowed values: `isNotEmpty`
- `tileId` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItems2

- `type` (enum, required)
  - Allowed values: `chartColumn`
- `tileId` (string, required)
- `mode` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode, required)
- `columnId` (string, required)
- `op` (enum, required)
  - Allowed values: `Equals`, `GreaterThan`, `GreaterThanEq`, `LessThan`, `LessThanEq`, `NotEquals`, `IsNotNull`, `IsNull`, `Contains`, `StartsWith`, `EndsWith`
- `value` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value, optional)

### DashVariablesOneOf3Value

- DashVariablesOneOf3Value0
- DashVariablesOneOf3Value1

### DashVariablesOneOf7Value

- `true` (boolean, required)
- `false` (boolean, required)
- `null` (boolean, optional)

### DashVariablesOneOf8Min

- DashVariablesOneOf8Min0
- DashVariablesOneOf8Min1

### DashVariablesOneOf8Max

- DashVariablesOneOf8Max0
- DashVariablesOneOf8Max1

### DashVariablesOneOf15Value

- `id` (string, required)
- `name` (string, required)
- `size` (double, required)
- `type` (string, required)
- `downloadUrl` (string, required)

### DashVariablesOneOf17ValueItems

- `id` (string, required)
- `name` (string, required)
- `size` (double, required)
- `type` (string, required)
- `downloadUrl` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Mode

- enum
  - Allowed values: `any`
- enum
  - Allowed values: `all`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value8
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value9

### DashVariablesOneOf3Value0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf3Value1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### DashVariablesOneOf8Min0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf8Min1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### DashVariablesOneOf8Max0

- `type` (enum, required)
  - Allowed values: `fixed`
- `date` (double, required)

### DashVariablesOneOf8Max1

- `type` (enum, required)
  - Allowed values: `prior`, `next`
- `unit` (enum, required)
  - Allowed values: `year`, `quarter`, `month`, `week`, `isoWeek`, `day`, `hour`, `minute`, `second`
- `x` (double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value0

- `type` (enum, required)
  - Allowed values: `null`

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value1

- `type` (enum, required)
  - Allowed values: `bool`
- `val` (boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value2

- `type` (enum, required)
  - Allowed values: `number`
- `val` (double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value3

- `type` (enum, required)
  - Allowed values: `integer`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value4

- `type` (enum, required)
  - Allowed values: `string`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value5

- `type` (enum, required)
  - Allowed values: `datetime`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value6

- `type` (enum, required)
  - Allowed values: `error`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value7

- `type` (enum, required)
  - Allowed values: `record`
- `val` (map from string to any, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value8

- `type` (enum, required)
  - Allowed values: `array`
- `val` (V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2Value9

- `type` (enum, required)
  - Allowed values: `variant`
- `val` (string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val

- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val2
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val3
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val4
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val5
- V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val6

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf1ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf2ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val0

- `type` (enum, required)
  - Allowed values: `boolArr`
- `data` (list of boolean, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val1

- `type` (enum, required)
  - Allowed values: `numberArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val2

- `type` (enum, required)
  - Allowed values: `bigintArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val3

- `type` (enum, required)
  - Allowed values: `stringArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val4

- `type` (enum, required)
  - Allowed values: `datetimeArr`
- `data` (list of double, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val5

- `type` (enum, required)
  - Allowed values: `bytesArr`
- `data` (list of string, required)

### V21WorkbooksWorkbookIdSchedulesGetResponsesContentApplicationJsonSchemaEntriesItemsConfigV2ConditionOptionsOneOf3ConditionsItemsOneOf2ValueOneOf8Val6

- `type` (enum, required)
  - Allowed values: `variantArr`
- `data` (list of string, required)

## Examples

**Response**

```json
{
  "entries": [
    {
      "scheduledNotificationId": "string",
      "workbookId": "string",
      "schedule": {
        "cronSpec": "string",
        "timezone": "string"
      },
      "configV2": {
        "title": "string",
        "messageBody": "string",
        "notificationAttachments": [
          {
            "formatOptions": {
              "type": "CSV"
            },
            "chartId": "string",
            "workbookExportSource": {
              "elementId": "string",
              "type": "element"
            }
          }
        ],
        "includeLink": true,
        "runAsRecipient": true,
        "attachmentSettings": {
          "mergePdfAttachments": true,
          "zipAttachments": true
        },
        "conditionOptions": {
          "type": "always"
        },
        "alertConfig": {
          "window": "alltime",
          "volume": 1.1
        },
        "notificationName": "string",
        "dashboardSettings": {
          "filters": [
            {
              "id": "string",
              "filterStr": "string"
            }
          ],
          "variableValues": {},
          "language": "de",
          "languageVariant": "string"
        },
        "dynamicExportSettings": {
          "variables": {}
        },
        "dynamicRecipientSettings": {
          "sourceNodeId": "string",
          "recipientColumnId": "string"
        },
        "rowLimit": 1.1,
        "workbookVariant": {
          "tagId": "string",
          "exploreKey": "string",
          "bookmarkId": "string"
        },
        "embedOpts": {
          "embedId": "string",
          "evalConnectionId": "string"
        },
        "formatting": {
          "pivotHeaderStyle": "merged"
        }
      },
      "isSuspended": true,
      "ownerId": "string",
      "lastUpdatedByUser": "string",
      "disabledAt": "2024-01-15T09:30:00Z",
      "disabledBy": "string",
      "createdBy": "string",
      "updatedBy": "string",
      "createdAt": "2024-01-15T09:30:00Z",
      "updatedAt": "2024-01-15T09:30:00Z"
    }
  ],
  "nextPage": "string",
  "total": 1.1,
  "hasMore": true
}
```

**SDK Code**

```python
import requests

url = "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules"

headers = {"Authorization": "<token>."}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules';
const options = {method: 'GET', headers: {Authorization: '<token>.'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "<token>.")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = '<token>.'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules")
  .header("Authorization", "<token>.")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules', [
  'headers' => [
    'Authorization' => '<token>.',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "<token>.");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "<token>."]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.sigmacomputing.com/v2.1/workbooks/workbookId/schedules")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```